Package: org.gradle.api

## [Java] Class IllegalDependencyNotation

- org.gradle.api.IllegalDependencyNotation

- This exceptions is thrown, if a dependency is declared with a illegal notation.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IllegalDependencyNotation ()`
    `IllegalDependencyNotation (String message)`
    `IllegalDependencyNotation (String message, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public IllegalDependencyNotation()

    - #### public IllegalDependencyNotation(String message)

    - #### public IllegalDependencyNotation(String message, Throwable cause)